> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent File

## Delete Agent File

Delete an agent file directly by ID.

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.example.com/api/v1/agent_files/1" \
    -H "X-API-Key: your-api-key-here"
  ```

  ```javascript JavaScript theme={null}
  const fileId = 1;
  const response = await fetch(`https://api.example.com/api/v1/agent_files/${fileId}`, {
    method: 'DELETE',
    headers: {
      'X-API-Key': 'your-api-key-here'
    }
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  file_id = 1
  headers = {
      'X-API-Key': 'your-api-key-here'
  }

  response = requests.delete(
      f'https://api.example.com/api/v1/agent_files/{file_id}',
      headers=headers
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": {
      "code": 200,
      "message": "File deleted successfully"
    }
  }
  ```
</ResponseExample>

<OpenApiExplorer />
